Commit 9ccd6e90 authored by Daiki Ueno's avatar Daiki Ueno
Browse files

Prevent Gnus from loading PGG.

* mml2015.el (mml2015-use): Don't try to load PGG on Emacs 24, when EPG
is not fully working.
parent b14c0c55
2011-06-30 Daiki Ueno <ueno@unixuser.org>
* mml2015.el (mml2015-use): Don't try to load PGG on Emacs 24, when EPG
is not fully working.
2011-06-30 Andrew Cohen <cohen@andy.bu.edu>
 
* gnus-art.el (gnus-request-article-this-buffer): Use existing function
......
......@@ -55,9 +55,15 @@
'epg)
(error))
(progn
(ignore-errors (require 'pgg))
(and (fboundp 'pgg-sign-region)
'pgg))
(let ((abs-file (locate-library "pgg")))
;; Don't load PGG if it is marked as obsolete
;; (Emacs 24).
(when (and abs-file
(not (string-match-p "/obsolete/[^/]*\\'"
abs-file)))
(ignore-errors (require 'pgg))
(and (fboundp 'pgg-sign-region)
'pgg))))
(progn (ignore-errors
(load "mc-toplev"))
(and (fboundp 'mc-encrypt-generic)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment